Skip to Content
Hive
API Referencev1VoIP DSS

Update DSS Gateway Primary IP

PUT
/v1/voip/dss/gtw/settings/primaryip/{idGtw}

Update the primary IP address and port of a DSS gateway. The organization is resolved from the authenticated user.

Path Parameters

idGtw*integer

DSS gateway identifier

Request Body

application/json
  1. body

Request payload for updating DSS gateway IP settings.

ipAddress*string

Primary IP address

port?string

Primary SIP port

secondaryIP?string

Secondary IP address

portSecondary?string

Secondary SIP port

Response Body

DSS resource updated successfully.

Example Request
curl -X PUT 'https://api.eis.it/v1/voip/dss/gtw/settings/primaryip/0' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty